Subject: Fixed making DLL, but can't get rid of @n weirdness
From: Christopher Hicks <[email-masked]>
To: Cygwin Discussion List <[email-masked]>
Date: Sat, 21 Jul 2001 14:41:30 -0400 (EDT)

On Fri, 20 Jul 2001, Christopher Hicks wrote:
> I've tried following the instructions on creating DLL's under win32 found
> at:
> 	http://www.cs.mu.oz.au/~fjh/gnu-win32/how-to-build-dlls.html
> I've run into a minor problem and I wonder if someone may have seen it
> before.

I found much better documentation at
	http://www.neuro.gatech.edu/users/cwilson/cygutils/V1.1/dll-stuff/index.html
so I've finally been able to create a DLL!

But regardless of what options I've tried to provide to dlltool and
dllwrap it's still adding @/n/ to the symbols.

If I use --add-stcall-alias, it's there:

dlltool --add-stdcall-alias --export-all --output-def pal2bsv.def bsvinit.o submit.o genfunc.o dataident.o itoa.o main.o
dllwrap --driver-name gcc --def pal2bsv.def      --add-stdcall-alias -o pal2bsv.dll bsvinit.o submit.o genfunc.o dataident.o itoa.o main.o
nm -g pal2bsv.dll                | grep Init
692c1018 T _InitiateSession@4

If I use -k, it's there:

dlltool -k --export-all --output-def pal2bsv.def bsvinit.o submit.o  genfunc.o dataident.o itoa.o main.o
dllwrap --driver-name gcc --def pal2bsv.def      -k -o pal2bsv.dll bsvinit.o submit.o genfunc.o dataident.o itoa.o main.o
nm -g pal2bsv.dll                | grep Init
692c1018 T _InitiateSession@4

Ugh!  Any clues?

-- 
</chris>

Given enough time and money, eventually Microsoft will re-invent UNIX.
                      -- From a Slashdot.org post

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/